<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");
function xExportar($varForm) {
	$varCod = (isset($varForm["cod"]) && $varForm["cod"]<>'')? $varForm["cod"]:"NULL";
	$varVeh = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$varCon = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')? $varForm["ccod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	
	$sql = "call spQuery_Asignacion($varCod, $varVeh, $varCon, $varIni, $varFin,  NULL, NULL);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varFormm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varFormm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$variable2="ResaltarSeleccionado()";
	$respuestaXajax->script($variable2); 
	return $respuestaXajax;
	}

function xFormuDetalle($varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla = $obj->FormuDetalle($varCod);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	$variable="PMA_markRowsInit()";
	$respuestaXajax->script($variable); 
	return $respuestaXajax;
	}
	
function xRegresarPrincipal() {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
	return $respuestaXajax;
	}
	
function xGrabar($varForm) {
	$var = VarServer("MYSQLI");
	$obj = new clsAsignacionVenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoGrabar($varForm);
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {		
		$varTabla =  "<div id=\"divForm\">";
		$varTabla.=  $obj->FormuBusqueda();
		$varTabla.=  "<div id=\"divDatos\">";
		$varTabla.=  "</div>";
		$varTabla.=  "</div>";
		$respuestaXajax->assign("divForm", "innerHTML", $varTabla);
		$respuestaXajax->alert("PLANILLA LIQUIDADA CORRECTAMENTE");
		return $respuestaXajax;
		}
	else {
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varIde."\nVERIFIQUE LOS DATOS POR FAVOR");		
		return $respuestaXajax;
		}
	}
	
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xRegresarPrincipal');
$xajax->register(XAJAX_FUNCTION, 'xGrabar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');


$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");


?>
<script language="javascript">	
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("cod").value=="" && xajax.$("vcod").value=="" && xajax.$("ccod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'), varField, varOrder);
			}				
		}	
	
	function xExportarJS() {
		if (xajax.$("cod").value=="" && xajax.$("vcod").value=="" && xajax.$("ccod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") { 
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ESPECIFICAR AL MENOS UN PARAMETRO DE BUSQUEDA");
			xajax.$("cod").focus()
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));
			}			
		}
		
	function xGuardarJS(varOpcion) {
		var myForm = document.form;
		var varFlagVenta = 0;
		
		var varErrorCab = "=================================================\nERROR AL REGISTRAR LIQUIDACION...!!!!\n=================================================\n";
		var varErrorDet = "";
		
		for(i=0; i < document.form.elements.length; i++) {
			if (myForm.elements[i].type == "checkbox" && myForm.elements[i].checked) {			
				var elem = document.form.elements[i];
				var varNom	= elem.value;		
				var varSal = document.getElementById('msal['+varNom+']');
				var varLiq = document.getElementById('mliq['+varNom+']');
				var varDoc = document.getElementById('ndoc['+varNom+']');
				varFlagVenta++;
				if (varLiq.value=='' || varLiq.value==0) {
					varErrorDet+="DOCUMENTO "+ varDoc.value +" => DEBE ESPECIFICAR UN MONTO A LIQUIDAR\n";
					}
				else if (parseFloat(varLiq.value) > parseFloat(varSal.value)) {
					varErrorDet+="DOCUMENTO "+ varDoc.value +" => EL MONTO A LIQUIDAR "+varLiq.value+" NO PUEDE SER MAYOR AL SALDO "+varSal.value+"\n";
					}
				}
			}
		
		
		if (varFlagVenta<=0) {
			varErrorDet+="DEBE SELECCIONAR AL MENOS UN DOCUMENTO\n";
			}
		if (myForm.fliq.value=="") {
			varErrorDet+="DEBE INGRESAR UNA FECHA DE LIQUIDACION\n";
			}
		if (varErrorDet!="") {
			alert(varErrorCab+varErrorDet);
			}
		else {
			var varMsj = "¿DESEA REGISTRAR LA LIQUIDACION?"
			if (confirm(varMsj)) {
				xajax_xGrabar(xajax.getFormValues('form'));		
				}
			}
		}
	
	function FormuDetalleJS(varCod) {
		UnTip();
		var Ruta = 'print/print_detalle_pedido.php?ide='+varCod;
		testwindow= window.open (Ruta, "Detalle_Pedido", "location=no,status=no,toolbar=no,scrollbars=1,width=800,height=550");	
		}
</script>

<?php		
function MyTable($obj, $varTitulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>